## org.apache.poi.hssf.record
Interface CellValueRecordInterface

All Known Implementing Classes:
  BlankRecord, BoolErrRecord, CellRecord, FormulaRecord, FormulaRecordAggregate, LabelRecord, LabelSSTRecord, NumberRecord, RKRecord

    public interface CellValueRecordInterface

The cell value record interface is implemented by all classes of type Record that contain cell values. It allows the containing sheet to move through them and compare them.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)
See Also:
  `Record`, `RecordFactory`

Method Summary
`short` `getColumn()`
`int` `getRow()`
`short` `getXFIndex()`
`void` `setColumn(short col)`
`void` `setRow(int row)`
`void` `setXFIndex(short xf)`

Method Detail

### getRow

    int getRow()

  Returns:
    the row this cell occurs on

### getColumn

    short getColumn()

  Returns:
    the column this cell defines within the row

### setRow

    void setRow(int row)

  Parameters:
    `row` - the row this cell occurs within

### setColumn

    void setColumn(short col)

  Parameters:
    `col` - the column this cell defines

### setXFIndex

    void setXFIndex(short xf)

### getXFIndex

    short getXFIndex()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.